> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tenbyte.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Folders

> Retrieves a list of all folders within a specified library.



## OpenAPI

````yaml https://raw.githubusercontent.com/vidinfra/open-api-docs/refs/heads/main/openapi.json get /libraries/{libraryId}/folders
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers:
  - url: https://api.tenbyte.io/v1/vidinfra
    description: Production server
security:
  - bearer: []
tags:
  - name: Library
  - name: Folder
  - name: Video
  - name: Subtitle
  - name: Video Thumbnails
  - name: Transcoding Profiles
  - name: Player Themes
  - name: Video Chapter
  - name: Webhook Endpoints
  - name: Webhook Deliveries
  - name: Security
  - name: Video Multipart Upload
  - name: Webhook
  - name: Migration Jobs
paths:
  /libraries/{libraryId}/folders:
    get:
      tags:
        - Folder
      summary: List Folders
      description: Retrieves a list of all folders within a specified library.
      parameters:
        - name: libraryId
          in: path
          description: Unique identifier of the library.
          required: true
          example: 314221a1-3cbf-4d3c-846e-f6c22bc43064
          schema:
            type: string
        - name: parent_id
          in: query
          description: ''
          required: false
          example: 2a7635e7-ea0a-4f67-9119-0a6e37f0d460
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties: {}
              example:
                data:
                  - id: fcd82c40-4d0c-4cc7-a357-0774e2cab7b8
                    name: Product
                    created_at: '2025-10-09T16:32:15.870776Z'
                    updated_at: '2025-10-09T16:32:15.870776Z'
                meta:
                  links:
                    self: >-
                      /libraries/5c59072e-2762-4ae9-889e-4ffbe32f7662/folders?limit=20&page=1
                    first: >-
                      /libraries/5c59072e-2762-4ae9-889e-4ffbe32f7662/folders?limit=20&page=1
                    last: >-
                      /libraries/5c59072e-2762-4ae9-889e-4ffbe32f7662/folders?limit=20&page=1
                  pagination:
                    page: 1
                    page_size: 20
                    total: 1
                    total_pages: 1
                message: Folders Fetched Successfully
                success: true
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                required:
                  - message
                  - success
              example:
                message: Invalid Request
                success: false
          headers: {}
        '401':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                  message:
                    type: string
                  success:
                    type: boolean
                required:
                  - code
                  - message
                  - success
              example:
                code: auth_type_not_found
                message: >-
                  Could not determine authentication type from request. Please
                  provide a valid Authorization header or X-API-Key header.
                success: false
          headers: {}
        '404':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                required:
                  - message
                  - success
              example:
                message: Resource not found
                success: false
          headers: {}
        '500':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                required:
                  - message
                  - success
              example:
                message: Internal server error
                success: false
          headers: {}
      deprecated: false
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````